%global         organization  bats-core

Name:           bats-support
Version:        0.3.0
Release:        1%{?dist}
Summary:        Supporting library for Bats test helpers 

License:        CC0
URL:            https://github.com/%{organization}/%{name}
Source0:        https://github.com/%{organization}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       bats
BuildRequires:  bats

%description
bats-support is a supporting library providing common functions to test helper
libraries written for Bats.

%prep
%setup -q -n %{name}-%{version}

%install
install -d -m 755 %{buildroot}%{_prefix}/lib/%{name}
install -m 755 src/* %{buildroot}%{_prefix}/lib/%{name}
install -m 755 load.bash %{buildroot}%{_prefix}/lib/%{name}

%check
pushd test
bats 5*.bats
popd

%files
%doc README.md
%license LICENSE
%{_prefix}/lib/%{name}

%changelog
* Tue Oct 13 2020 Ondřej Míchal <harrymichal@seznam.cz> - 0.3.0-1
- Add bats-support v0.3.0

